      subroutine mulcoov(a,x,i,j,aa)
      use module
      IMPLICIT REAL(8)(A-H,O-X,Z),logical(1)(y)
      dimension aa(3)
      integer a,x,i,j
      call mulcoovd(x,i,j,a,aa(1),aa(3))
      call mulcoovd(x,j,i,a,aa(2),aa(3))
      call mulcvood(x,a,j,i,aa(1),aa(2))
      return
      end
 
 
       subroutine mulcoev(i1,a1,x1,aa)
      use module
      IMPLICIT REAL(8)(A-H,O-X,Z),logical(1)(y)
      dimension aa(2)
      integer x1,a1,i1,x
      call mulcoovd(x1,i1,i1,a1,aa(1),aa(2))
      call mulcvood(x1,a1,i1,i1,aa(1),aa(2))
      return
      end
 
 
 
